# Pages: list

**Important**:
We will discontinue support for the v2.0 JSON API on September 30th, 2024.
To ensure continued functionality, update your applications that rely on the v2.0 JSON API
to the latest API version. For the latest version, use the links in the left-side navbar.

Retrieves the list of [Pages](https://developers.google.com/blogger/docs/2.0/json/reference/pages) for a [Blog](https://developers.google.com/blogger/docs/2.0/json/reference/blogs#resource).
[Try it now](https://developers.google.com/blogger/docs/2.0/json/reference/pages/list#try-it).

Authentication is required if the pages are on a blog that is private. If the pages are on a blog that is public, then this method can be called without authentication.

## Request

### HTTP Request

```
GET https://www.googleapis.com/blogger/v2/blogs/blogId/pages
```

### Parameters

| Parameter Name | Value | Description |
|---|---|---|
| **Required Parameters** |||
| `blogId` | `string` | ID of the blog to fetch pages from. |
| **Optional Parameters** |||
| `fetchBodies` | `boolean` | Whether to retrieve the Page bodies. |

### Request Body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "blogger#pageList",
  "items": [
    pages Resource
  ]
}
```

| Property Name | Value | Description | Notes |
|---|---|---|---|
| `kind` | `string` | The kind of this entity. Always `blogger#pageList` |   |
| `items[]` | `list` | The list of Pages Resources for the specified blog. |   |

## Try It!


Use the explorer below to call this method on live data and see the response.